package com.bocloud.sms.booter.controller;

import com.bocloud.sms.entity.LogArchiveRecord;
import com.bocloud.sms.interfaces.LogArchiveRecordService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 审计日志归档记录
 *
 * @author zhangdi
 * @since Nov 6,2019
 */

@RestController
@RequestMapping("/v1/archives")
@Tag(name = "日志归档管理")
public class LogArchiveRecordController {

    private final LogArchiveRecordService logArchiveRecordService;

    public LogArchiveRecordController(LogArchiveRecordService logArchiveRecordService) {
        this.logArchiveRecordService = logArchiveRecordService;
    }

    /**
     * 列表
     *
     * @param pager 分页参数
     * @return 日志列表
     */
    @GetMapping
    @Operation(summary = "审计日志归档记录")
    public GeneralResult<GridBean<LogArchiveRecord>> list(Pager pager) {
        return logArchiveRecordService.list(pager);
    }

}
