package com.bocloud.sms.service.monitor;

import lombok.extern.slf4j.Slf4j;
import redis.clients.jedis.Jedis;

import java.util.HashMap;


/**
 * Redis监控类
 *
 * @author tyl
 * @since 2019/11/19 周二 17:35
 */
@Slf4j
public class RedisMonitor {

    /**
     * 获取Redis健康信息
     *
     * @param host     redis主机地址
     * @param port     redis端口
     * @param password redis密码
     * @return Redis角色
     */
    public static String getRole(String host, int port, String password) {
        try (Jedis jedis = new Jedis(host, port, 1000)) {
            jedis.auth(password);
            jedis.connect();
            String string = jedis.info("replication");
            jedis.disconnect();
            String[] entity = string.split("\r\n");
            HashMap<String, String> entityMap = new HashMap<>(16, 0.75F);
            for (String s : entity) {
                if (s.contains(":")) {
                    String key = s.split(":")[0];
                    String value = s.split(":")[1];
                    entityMap.put(key, value);
                }
            }
            return entityMap.get("role");
        }
    }
}
