package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 组件池
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("portal_element_pool")
public class PortalElementPool extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 组件名称
     */
    @Column("name")
    private String name;
    /**
     * 组件类型
     */
    @Column("type")
    private String type;
    /**
     * 是否支持编辑
     */
    @Column("is_edit_enabled")
    private Boolean editEnabled;
    /**
     * 是否支持到处图片
     */
    @Column("is_export_image")
    private Boolean exportImage;
    /**
     * 组件描述
     */
    @Column("describe")
    private String describe;
    /**
     * 排序码
     */
    @Column("order_num")
    private int orderNum;
    /**
     * 图片
     */
    @Column("image")
    private String image;
    /**
     * url地址
     */
    @Column("url")
    private String url;
    /**
     * 编码
     */
    @Column("code")
    private String code;
    /**
     * 宽
     */
    @Column("width")
    private Integer width;
    /**
     * 高
     */
    @Column("height")
    private Integer height;
    /**
     * 是否有更多配置
     */
    @Column("more_config")
    private Boolean moreConfig;
    /**
     * 模块
     */
    @Column("module")
    private String module;

    @IgnoreAll
    private List<PortalElementConfig> properties;

}
